* {
    color: #ccc;
    background-color: #222;
    font-family: monospace;
    font-weight: normal;
}

html {
    height: 100%;
}

body {
    margin: 0;
    height: 100%;
    display: grid;
    grid-template-columns: auto 300px;
}

canvas {
    height: 100%;
    width: 100%;
}

button {
    color: #222;
    background-color: #ccc;
    font-size: large;
}

.group {
    margin: 8px;
    border: solid 2px;
    padding: 4px;
    display: grid;
    gap: 4px;
    grid-template-columns: 40% 40% auto;
}

.title {
    text-align: center;
    font-weight: bold;
    grid-column: 1 / 4;
}

.tda {
    text-align: end;
    color: #ff7;
}

.flt {
    text-align: end;
    color: #7ff;
}

.fda {
    text-align: end;
    color: #f7f;
}

#plt {
    margin: 8px;
    grid-row: 1 / 6;
    grid-column: 1;
}

#ftr {
    margin: 8px;
    border: solid 2px;
    padding: 4px;
    grid-row: 6 / 7;
    grid-column: 1 / 2;
    display: flex;
    justify-content: space-evenly;
}

#gen {
    grid-row: 1;
    grid-column: 2;
}

#ana {
    grid-row: 2;
    grid-column: 2;
}

#tda {
    grid-row: 3;
    grid-column: 2;
    border-color: #ff7;
}

#flt {
    grid-row: 4;
    grid-column: 2;
    border-color: #7ff;
}

#fda {
    grid-row: 5 / 7;
    grid-column: 2;
    border-color: #f7f;
}